%global srcname jws-api

Name:           jakarta-jws
Version:        3.0.0
Release:        1%{?dist}
Summary:        Jakarta Web Services Metadata API
License:        BSD
URL:            https://github.com/eclipse-ee4j/jws-api
BuildArch:      noarch

Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  git
BuildRequires:  maven-local
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%package javadoc
Summary:        API documentation for %{name}
%description javadoc
API documentation for %{name}.


%description
Jakarta Web Services Metadata defines a programming model for Web Services in
Java, use of metadata, a non-normative processing model for metadata annotated
web service source files, runtime requirements for a container, and annotations
used for WSDL, binding, and configuration.

%prep
%autosetup -S git -n %{srcname}-%{version}
cd api

  %pom_remove_parent
  %pom_remove_plugin :glassfish-copyright-maven-plugin

cd -

%build
cd api
  %mvn_build
cd -

%install
cd api
  %mvn_install
cd -

%files -f api/.mfiles
%license LICENSE.md NOTICE.md
%doc CONTRIBUTING.md README.md

%files javadoc -f api/.mfiles-javadoc

%changelog
* Thu Jan 13 2022 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 3.0.0-1
- Initial package

